View Issue Details

IDProjectCategoryView StatusLast Update
0021711mantisbtbugtrackerpublic2016-10-02 18:41
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.1 
Target Version1.3.2Fixed in Version1.3.2 
Summary0021711: Duplicate id field should show up when closing an issue
Description

The change status to close or close button doesn't show duplicate id field, so even though resolution can be set to "duplicate", there is no way to set the duplicate id.

The same works when changing status to resolve.

TagsNo tags attached.

Activities

cproensa

cproensa

2016-09-23 06:09

developer   ~0054067

Instead, Should the change status form include an "add relation" field, so the user can set a duplicated relation (which would then set the resolution to "duplicate")?

vboctor

vboctor

2016-09-24 23:51

manager   ~0054072

The fix that is consistent with existing implementation is:
PR: https://github.com/mantisbt/mantisbt/pull/899

@cproensa, I think it is a good idea to add a relationship as part of resolving/closing an issue. I suggest adding a feature request to track this suggestion.

Related Changesets

MantisBT: master-1.3.x cbb65e6e

2016-09-24 23:27:10

vboctor

Details Diff
Duplicate id field should show up when closing an issue

Fixes 0021711
mod - bug_change_status_page.php Diff File

Issue History

Date Modified Username Field Change
2016-09-22 23:57 vboctor New Issue
2016-09-23 06:09 cproensa Note Added: 0054067
2016-09-24 23:51 vboctor Note Added: 0054072
2016-09-24 23:51 vboctor Assigned To => vboctor
2016-09-24 23:51 vboctor Status new => assigned
2016-09-26 10:53 vboctor Changeset attached => MantisBT master-1.3.x cbb65e6e
2016-09-26 10:53 vboctor Status assigned => resolved
2016-09-26 10:53 vboctor Resolution open => fixed
2016-09-26 10:53 vboctor Fixed in Version => 1.3.2
2016-09-26 11:00 vboctor Target Version => 1.3.2
2016-10-02 18:41 vboctor Status resolved => closed